## kf6-userfeedback 6.17.0

=== debian/changelog ===
kf6-userfeedback (6.17.0-0zneon+24.04+noble+release+build18) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 02:11:38 +0000

kf6-userfeedback (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:30:41 +0000

kf6-userfeedback (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:45:35 +0000

kf6-userfeedback (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 06:03:27 +0000

kf6-userfeedback (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Wed, 07 May 2025 23:44:21 +1000

kf6-userfeedback (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 02:12:33 +0000

kf6-userfeedback (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 22:14:40 +0000

kf6-userfeedback (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:39:20 +0000

kf6-userfeedback (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 12:19:48 +0000

kf6-userfeedback (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:40:05 +0000

kf6-userfeedback (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:43:26 +0000

kf6-userfeedback (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:38:12 +0000

kf6-userfeedback (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:45:00 +0000

kf6-userfeedback (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:51:46 +0000

kf6-userfeedback (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 06:47:07 +0000

kf6-userfeedback (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:34:05 +1000

kf6-userfeedback (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 04:03:49 +0000

kf6-userfeedback (6.2.0-0) noble; urgency=medium

  * new frameworks alpha release

 -- Pino Toscano <pino@debian.org>  Wed, 23 Feb 2022 07:47:33 +0100

kf6-userfeedback (1.3.0-0) unstable; urgency=medium

  * new frameworks release

 -- Pino Toscano <pino@debian.org>  Wed, 23 Feb 2022 07:47:33 +0100

kf6-userfeedback (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Bump the reference version used to cleanup the old
    /etc/xdg/org_kde_UserFeedback.categories to the same version of this
    changelog entry, as versions in the past do not work when upgrading.
  * Mark the xauth, and xvfb build dependencies as !nocheck, as they are needed
    only during dh_auto_test.

 -- Pino Toscano <pino@debian.org>  Wed, 23 Feb 2022 07:47:33 +0100

## kf6-userfeedback 6.18.0

=== debian/changelog ===
kf6-userfeedback (6.18.0-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 00:36:54 +0000

kf6-userfeedback (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 13:04:27 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export KDE_DOCS=/usr/share/qt6/doc/kde-qdoc-common-dev

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_DOCS=ON -DENABLE_CONSOLE=ON -DENABLE_CLI=ON

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -- prepare_docs
	dh_auto_build -- generate_docs
	dh_auto_build -- generate_qch

override_dh_auto_install:
	dh_auto_install
	dh_auto_install -- install_html_docs
	dh_auto_install -- install_qch_docs

## kf6-userfeedback 6.18.0+p24.04+vstable+git20250914.1115

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
set(KF_VERSION "6.19.0") # handled by release scripts
set(KF_DEP_VERSION "6.18.0") # handled by release scripts
project(KUserFeedback VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM ${KF_DEP_VERSION}  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://invent.kde.org/frameworks/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})

set(ENABLE_SURVEY_TARGET_EXPRESSIONS ON CACHE BOOL "Survey targeting expressions support is enabled by default.")
set(ENABLE_PHP                       ON CACHE BOOL "Syntax checking of PHP server code.")
set(ENABLE_PHP_UNIT                  ON CACHE BOOL "Unit tests for PHP server code.")
set(ENABLE_DOCS                      ON CACHE BOOL "Generate documentation.")
set(ENABLE_CONSOLE                   OFF CACHE BOOL "Application console and CLI binary.")

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_CXX_STANDARD 17)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateHeaders)
include(ECMPoQmTools)
include(ECMSetupVersion)
include(ECMQueryQt)
include(ECMGeneratePriFile)
include(ECMQmlModule)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMDeprecationSettings)
include(ECMGenerateQDoc)
include(ECMQtDeclareLoggingCategory)

ecm_setup_version(PROJECT
    VARIABLE_PREFIX KUSERFEEDBACK
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kuserfeedback_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6UserFeedbackConfigVersion.cmake"
    SOVERSION 6
)
#
# Dependencies
#

# Dependencies
set(REQUIRED_QT_VERSION 6.7.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Core Network)
find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE QUIET OPTIONAL_COMPONENTS Widgets Charts Test Qml Svg PrintSupport)
find_package(QmlLint)

if (ENABLE_DOCS)
    if (NOT CMAKE_CROSSCOMPILING)
        find_package(Qt6 NO_MODULE QUIET OPTIONAL_COMPONENTS Help)
    endif()

    find_package(Qt6 CONFIG OPTIONAL_COMPONENTS ToolsTools)
endif()

set_package_properties(Qt6 PROPERTIES URL "http://qt-project.org/")
set_package_properties(Qt6Widgets PROPERTIES TYPE RECOMMENDED PURPOSE "Required for feedback configuration and notification widgets.")
set_package_properties(Qt6Charts PROPERTIES TYPE RECOMMENDED PURPOSE "Required for UserFeedbackConsole.")

# debug suffixes for qmake compatibility
if(WIN32)
    set(CMAKE_DEBUG_POSTFIX "d")
elseif(APPLE)
    set(CMAKE_DEBUG_POSTFIX "_debug")
endif()

add_definitions(-DQT_USE_QSTRINGBUILDER -DQT_USE_FAST_OPERATOR_PLUS -DQT_NO_CAST_TO_ASCII -DQT_NO_URL_CAST_FROM_STRING -DQT_NO_CAST_FROM_ASCII)

remove_definitions(-DQT_NO_FOREACH) # still uses foreach
remove_definitions(-DQT_NO_KEYWORDS)

if (ENABLE_SURVEY_TARGET_EXPRESSIONS)
    find_package(FLEX)
    set_package_properties(FLEX PROPERTIES TYPE RECOMMENDED PURPOSE "Survey target expression parser.")

    find_package(BISON)
    set_package_properties(BISON PROPERTIES TYPE RECOMMENDED PURPOSE "Survey target expression parser.")

    if(FLEX_FOUND AND BISON_FOUND)
        set(HAVE_SURVEY_TARGET_EXPRESSIONS 1)
    endif()
endif()
add_feature_info("Survey targeting expressions support" HAVE_SURVEY_TARGET_EXPRESSIONS "Requires flex and bison parser generators.")

if (ENABLE_PHP)
    find_package(Php)
    set_package_properties(Php PROPERTIES URL "http://php.net" TYPE RECOMMENDED PURPOSE "Syntax checking of PHP server code.")
endif()

if (ENABLE_PHP_UNIT)
    find_package(PhpUnit)
    set_package_properties(PhpUnit PROPERTIES URL "http://phpunit.de" TYPE RECOMMENDED PURPOSE "Unit tests for PHP server code.")
endif()

#
# Actually build the stuff
#
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
configure_file(config-userfeedback.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-userfeedback.h)

ecm_set_disabled_deprecation_versions(
    QT 5.15
)


add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

if (ENABLE_DOCS)
    add_subdirectory(docs)
endif()

#
# CMake package config file generation
#
include(CMakePackageConfigHelpers)

set(_CONFIG_CMAKE_IN "KF6UserFeedbackConfig.cmake.in")

configure_package_config_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/${_CONFIG_CMAKE_IN}
    ${CMAKE_CURRENT_BINARY_DIR}/KF6UserFeedbackConfig.cmake
    INSTALL_DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6UserFeedback
    PATH_VARS KDE_INSTALL_INCLUDEDIR
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/KF6UserFeedbackConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/KF6UserFeedbackConfigVersion.cmake
    DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6UserFeedback
)

install(EXPORT KF6UserFeedbackTargets DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6UserFeedback FILE KF6UserFeedbackTarget.cmake NAMESPACE KF6::)

ecm_qt_install_logging_categories(
        EXPORT KUSERFEEDBACK
        FILE org_kde_UserFeedback.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

ecm_install_po_files_as_qm(poqm)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

install(FILES
    ${KF6UserFeedbackCore_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kuserfeedback_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KUserFeedback
)

=== debian/changelog ===
kf6-userfeedback (6.18.0+p24.04+vstable+git20250914.1115-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 11:15:32 +0000

## kf6-userfeedback 6.18.0+p24.04+vstable+git20250928.0544

=== debian/changelog ===
kf6-userfeedback (6.18.0+p24.04+vstable+git20250928.0544-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 05:44:28 +0000

## kf6-userfeedback 6.19.0

=== debian/changelog ===
kf6-userfeedback (6.19.0-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 10:22:13 +0000

kf6-userfeedback (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:10:26 +0000

## kf6-userfeedback 6.19.0+p24.04+vstable+git20251024.0113

=== debian/changelog ===
kf6-userfeedback (6.19.0+p24.04+vstable+git20251024.0113-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 01:13:53 +0000

=== debian/control ===
Source: kf6-userfeedback
Section: kde
Priority: optional
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
           Sandro Knauß <hefee@debian.org>
Build-Depends: bison,
               cmake,
               debhelper-compat (= 13),
               flex,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               phpunit,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-charts-dev,
               qt6-declarative-dev,
               qt6-doc-dev,
               qt6-svg-dev,
               qt6-tools-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/libraries/kuserfeedback
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kuserfeedback.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kuserfeedback
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kuserfeedback
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-arch: same
Breaks: kuserfeedback-bin (<< 1.3.0-2), libkuserfeedbackcore1 (<< 1.3.0-1)
Replaces: kuserfeedback-bin (<< 1.3.0-2),
          kuserfeedback6-bin,
          libkuserfeedback6core1,
          libkuserfeedback6widgets1,
          libkuserfeedbackcore1 (<< 1.3.0-1),
          qml6-module-org-kde-userfeedback
Description: user feedback for applications - executables
 Framework for collecting user feedback for applications via telemetry
 and surveys.
 .
 Telemetry
  * Extensible set of data sources for telemetry.
  * Full control for the user on what data to contribute.
 Surveys
  * Distribute surveys and offer users to participate in them.
  * Survey targeting based on telemetry data.
  * Allow the user to configure how often they want to participate in surveys.
 .
 This package contains the management and analytics applications.

Package: kf6-kuserfeedback-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kuserfeedback (= ${binary:Version}),
         qt6-base-dev,
         qt6-charts-dev,
         qt6-declarative-dev,
         qt6-svg-dev,
         qt6-tools-dev,
         qt6-tools-dev-tools,
         ${misc:Depends}
Recommends: kf6-kuserfeedback (= ${source:Version})
Replaces: kuserfeedback-dev, kuserfeedback-doc
Description: development files for KUserFeedback
 Framework for collecting user feedback for applications via telemetry
 and surveys.
 .
 Telemetry
  * Extensible set of data sources for telemetry.
  * Full control for the user on what data to contribute.
 Surveys
  * Distribute surveys and offer users to participate in them.
  * Survey targeting based on telemetry data.
  * Allow the user to configure how often they want to participate in surveys.
 .
 This package contains the development header files for kuserfeedback6.

Package: kuserfeedback6-bin
Architecture: all
Depends: kf6-kuserfeedback, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kuserfeedback6-dev
Architecture: all
Depends: kf6-kuserfeedback-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kuserfeedback6-doc
Architecture: all
Depends: kf6-kuserfeedback-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkuserfeedback6core1
Architecture: all
Depends: kf6-kuserfeedback, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkuserfeedback6widgets1
Architecture: all
Depends: kf6-kuserfeedback, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-userfeedback
Architecture: all
Depends: kf6-kuserfeedback, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-userfeedback 6.19.0+p24.04+vstable+git20251028.0743

=== debian/changelog ===
kf6-userfeedback (6.19.0+p24.04+vstable+git20251028.0743-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 07:43:55 +0000

## kf6-userfeedback 6.19.0+p24.04+vunstable+git20251020.0119

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
-set(KF_VERSION "6.19.0") # handled by release scripts
-set(KF_DEP_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project(KUserFeedback VERSION ${KF_VERSION})
 
 # ECM setup
@@ -49,7 +49,7 @@
 #
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Core Network)
 find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE QUIET OPTIONAL_COMPONENTS Widgets Charts Test Qml Svg PrintSupport)
 find_package(QmlLint)

=== debian/changelog ===
kf6-userfeedback (6.19.0+p24.04+vunstable+git20251020.0119-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:19:58 +0000

## kf6-userfeedback 6.19.0+p24.04+vunstable+git20251021.0331

=== debian/changelog ===
kf6-userfeedback (6.19.0+p24.04+vunstable+git20251021.0331-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:31:10 +0000

## kf6-userfeedback 6.20.0

=== debian/changelog ===
kf6-userfeedback (6.20.0-0zneon+24.04+noble+release+build27) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 23:25:05 +0000

kf6-userfeedback (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:46 +1000

## kf6-userfeedback 6.20.0+p24.04+vunstable+git20251122.0534

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
-set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KUserFeedback VERSION ${KF_VERSION})
 
 # ECM setup

=== debian/changelog ===
kf6-userfeedback (6.20.0+p24.04+vunstable+git20251122.0534-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 05:34:59 +0000

## kf6-userfeedback 6.20.0+p24.04+vunstable+git20251206.0303

=== debian/changelog ===
kf6-userfeedback (6.20.0+p24.04+vunstable+git20251206.0303-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 03:03:03 +0000

## kf6-userfeedback 6.21.0

=== debian/changelog ===
kf6-userfeedback (6.21.0-0zneon+24.04+noble+release+build29) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 07:47:24 +0000

kf6-userfeedback (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:09:45 +1000

=== debian/control ===
--- 
+++ 
@@ -34,12 +34,11 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-arch: same
-Breaks: kuserfeedback-bin (<< 1.3.0-2), libkuserfeedbackcore1 (<< 1.3.0-1)
-Replaces: kuserfeedback-bin (<< 1.3.0-2),
-          kuserfeedback6-bin,
+Replaces: kuserfeedback6-bin,
           libkuserfeedback6core1,
+          libkuserfeedback6coreqt6-1,
           libkuserfeedback6widgets1,
-          libkuserfeedbackcore1 (<< 1.3.0-1),
+          libkuserfeedbackcoreqt6-1,
           qml6-module-org-kde-userfeedback
 Description: user feedback for applications - executables
  Framework for collecting user feedback for applications via telemetry
@@ -68,7 +67,7 @@
          qt6-tools-dev-tools,
          ${misc:Depends}
 Recommends: kf6-kuserfeedback (= ${source:Version})
-Replaces: kuserfeedback-dev, kuserfeedback-doc
+Replaces: kuserfeedback6-dev, kuserfeedback6-doc
 Description: development files for KUserFeedback
  Framework for collecting user feedback for applications via telemetry
  and surveys.
@@ -107,6 +106,18 @@
 Description: Dummy transitional
  Transitional dummy package.
 
+Package: libkuserfeedback6coreqt6-1
+Architecture: all
+Depends: kf6-kuserfeedback, ${misc:Depends}
+Description: Dummy transitional
+ Transitional dummy package.
+
+Package: libkuserfeedbackcoreqt6-1
+Architecture: all
+Depends: kf6-kuserfeedback, ${misc:Depends}
+Description: Dummy transitional
+ Transitional dummy package.
+
 Package: libkuserfeedback6widgets1
 Architecture: all
 Depends: kf6-kuserfeedback, ${misc:Depends}

## kf6-userfeedback 6.21.0+p24.04+vstable+git20260102.1100

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
-set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KUserFeedback VERSION ${KF_VERSION})
 
 # ECM setup

=== debian/changelog ===
kf6-userfeedback (6.21.0+p24.04+vstable+git20260102.1100-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 11:00:47 +0000

## kf6-userfeedback 6.21.0+p24.04+vstable+git20260103.0107

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
-set(KF_VERSION "6.22.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KUserFeedback VERSION ${KF_VERSION})
 
 # ECM setup

## kf6-userfeedback 6.21.0+p24.04+vstable+git20260105.0809

=== debian/changelog ===
kf6-userfeedback (6.21.0+p24.04+vstable+git20260105.0809-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 08:09:17 +0000

## kf6-userfeedback 6.22.0

=== debian/changelog ===
kf6-userfeedback (6.22.0-0zneon+24.04+noble+release+build31) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 10:03:03 +0000

kf6-userfeedback (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:40:38 +1000

## kf6-userfeedback 6.22.0+p24.04+vstable+git20260126.0604

=== debian/changelog ===
kf6-userfeedback (6.22.0+p24.04+vstable+git20260126.0604-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 06:04:33 +0000

## kf6-userfeedback 6.22.0+p24.04+vstable+git20260131.0153

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KUserFeedback VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-userfeedback (6.22.0+p24.04+vstable+git20260131.0153-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 01:53:09 +0000

## kf6-userfeedback 6.22.0+p24.04+vunstable+git20260126.0724

=== debian/changelog ===
kf6-userfeedback (6.22.0+p24.04+vunstable+git20260126.0724-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 07:24:50 +0000

## kf6-userfeedback 6.22.0+p24.04+vunstable+git20260201.0542

=== debian/changelog ===
kf6-userfeedback (6.22.0+p24.04+vunstable+git20260201.0542-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 05:42:46 +0000
